package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class EBoolC extends BasicExpr {
    public final String qbool_;

    public EBoolC(String p1) {

        qbool_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.qbool_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EBoolC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EBoolC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EBoolC) o;
            return this.qbool_.equals(x.qbool_);
        }
        return false;
    }


}
